#include <bits/stdc++.h>
#define MAXN 200010
#define pii pair<int,int>
#define fi first
#define se second
#define pb push_back
#define all(x) begin(x),end(x)
#define lld long long
using namespace std;
lld rez;
int levo[2*MAXN], sadrzi[2*MAXN];
vector<pii> interval;
bool cmp(pii A, pii B) {
    return A.se < B.se;
}
bool cmp1(pii A, pii B) {
    return A.fi < B.fi;
}
int
long long Resi(int N, int *A, int *B) {
    for(int i = 0; i < N; i++) {
        interval.pb({A[i], B[i]});
    }
    sort(all(interval), cmp);
    for(int i = 0; i < N; i++) {
        int levo = 0;
        for(int j = 0; j < i; j++) {
            if(interval[i].fi > interval[j].fi) levo++;
        }
        int sadrzi = 0;
        for(int j = i+1; j < N; j++) {
            if(interval[i].fi > interval[j].fi) sadrzi++;
        }
        rez += min(levo, sadrzi);
    }
    return rez;
}